# Scodoc Mobile

## Description

Version mobile de l'application web ScoDoc (v1.6)

### Fonctionnalités:
- Login
- Choix de département / formation
- Affichage des profils étudiants
- Recherche d'élèves | Filtrage par groupe de TD/TP
- Affichage des bulletins de notes
- Gestion des absences 

### Installation

Le contenu du dossier `build` devrait se situer dans `Scodoc\static\mobile`.

Le dossier `build` est disponible dans les [releases](https://scodoc.org/git/theal/ScoDocMobile/releases) du projet ou à générer depuis les sources.

## Usage

`npm run build` > Génère un dossier `build` avec le contenu du site en prod.

## Arborescence

### `/`
Pages de login et choix du département

### `/DEPT/Scolarité`
Choix de la formation et barre de recherche d'élèves

### `/DEPT/Scolarité/SEMID/GestionSem`
Page principale de la gestion d'un semestre (Liste des élèves, présentation du département, gestion des absences)

### `/DEPT/Scolarite/Etudiant/ETUDID`
Profil de l'étudiant