import React from 'react';
import {HashRouter, Route} from 'react-router-dom';
import Scolarite from './ScoDoc/Scolarite.js'
import Login from './ScoDoc/Login'
import GestionSemestre from "./ScoDoc/GestionSemestre";
import Etudiant from "./ScoDoc/Etudiant";


const Main = () => {
    return (
        /*<HashRouter>
            <Route exact path='/ScoDoc/static/mobile' component={Login}/>
            <Route exact path='/ScoDoc/static/mobile/:DEPT/Scolarite' component={Scolarite}/>
            <Route exact path='/ScoDoc/static/mobile/:DEPT/Scolarite/Etudiant/:EtudId' component={Etudiant}/>
            <Route exact path='/ScoDoc/static/mobile/:DEPT/Scolarite/:SEM/GestionSem' component={GestionSemestre}/>
        </HashRouter>*/
        <HashRouter>
            <Route exact path='/' component={Login}/>
            <Route exact path='/:DEPT/Scolarite' component={Scolarite}/>
            <Route exact path='/:DEPT/Scolarite/Etudiant/:EtudId' component={Etudiant}/>
            <Route exact path='/:DEPT/Scolarite/:SEM/GestionSem' component={GestionSemestre}/>
        </HashRouter>
    );
}

export default Main;